# Contributing





## Reporting Bugs or Suggesting Features

Please file an issue for discussion of new features or bugs. If an existing issue already exists, please comment there instead if you have more details to provide.

If you're logging a bug, please be as detailed as possible. It's highly recommended that you post a minimum `maskfile.md` that reproduces the problem so we can debug it more easily. Issues may be closed if you don't provide enough info.





## Running the test suite

After you clone `mask` you will need to [install](https://github.com/jacobdeichert/mask#installation) it to successfully run the test suite.

Once you have `mask` installed, you can then run `mask link` and `mask test` to run the entire test suite. This will ensure all test cases are running against the latest modifications you've made to the `mask` source.





## Submitting Pull Requests

If you're tackling a larger feature or bug, please leave a comment on the corresponding issue unless someone before you already has indicated so. If there is no issue yet, please create one so it can be discussed, before you start working on a PR. This is to save you time and energy, and to ensure we're all on the same page with the chosen solution! 🙂

Adding tests is highly recommended, though not always necessary depending on the scope of changes made.





## Code of Conduct

Please review and follow the rules within our [Code of Conduct](CODE_OF_CONDUCT.md).
